#pragma once

#include "xtr/doc/FileTypes.h"

namespace xtr::io {

//! Export RSModel
class ModelExporter {
  const ccl::semantic::RSModel& target;

public:
  explicit ModelExporter(const ccl::semantic::RSModel& model) noexcept
    : target{ model } {}

public:
  [[nodiscard]] BOOL Export(CString fileName, FileType type);
};

} // namespace xtr::io